port lots of init scripts over to rc.common (more to come)
authorFelix Fietkau <nbd@openwrt.org>
Wed, 4 Oct 2006 20:57:49 +0000 (20:57 +0000)
committerFelix Fietkau <nbd@openwrt.org>
Wed, 4 Oct 2006 20:57:49 +0000 (20:57 +0000)
SVN-Revision: 4917

56 files changed:
libs/avahi/files/avahi-daemon.init
libs/howl/files/autoipd.init
libs/howl/files/mDNSResponder.init
libs/howl/files/nifd.init
net/aiccu/files/aiccu.init
net/bind/files/named.init
net/bitchx/files/S98bitchxrc
net/bitlbee/files/S55bitlbee
net/chillispot/files/chillispot.init
net/click/files/S50roofnet
net/cups/files/cupsd.init
net/dhcp-forwarder/files/dhcp-fwd.init
net/ez-ipupdate/files/ez-ipupdate.init
net/freeradius/files/radiusd.init
net/frickin/files/frickin.init
net/gmediaserver/files/gmediaserver.init
net/htpdate/files/htpdate.init
net/l2tpd/files/l2tpd.init
net/lighttpd/files/lighttpd.init
net/maradns/files/maradns.init
net/miau/files/S50miau
net/mini_httpd/files/mini_httpd.init
net/miredo/files/miredo-server.init
net/miredo/files/miredo.init
net/netperf/files/netserver.init
net/nfs-kernel-server/files/nfsd.init
net/nfs-server/files/nfsd.init
net/ntpclient/files/ntpclient.init
net/oidentd/files/S85oidentd
net/olsrd/files/olsrd.init
net/openntpd/files/ntpd.init
net/openssh/files/S50sshd
net/p910nd/files/p910nd.init
net/parprouted/files/parprouted.init
net/peerguardian/files/peerguardian.init
net/portmap/files/portmap.init
net/pptpd/files/pptpd.init
net/radvd/files/radvd.init
net/rarpd/files/rarpd.init
net/reaim/files/reaim.init
net/rp-l2tp/files/rp-l2tpd.init
net/rp-pppoe/files/pppoe-client.init
net/rp-pppoe/files/pppoe-relay.init
net/rp-pppoe/files/pppoe-server.init
net/samba/files/samba.init
net/scanlogd/files/scanlogd.init
net/siproxd/files/siproxd.init
net/srelay/files/srelay.init
net/tor/files/tor.init
net/ulogd/files/ulogd.init
net/updatedd/files/S55ddns
net/vrrpd/files/vrrpd.init
net/vsftpd/files/vsftpd.init
net/wifidog/files/wifidog.init
net/xinetd/files/xinetd.init
utils/collectd/files/S80collectd

index 20f0a2e..81ceb9b 100644 (file)
@@ -1,4 +1,5 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 BIN=avahi-daemon
 DEFAULT=/etc/default/$BIN
@@ -6,20 +7,16 @@ OPTIONS="-D"
 RUN_D=/var/run/$BIN
 [ -f $DEFAULT ] && . $DEFAULT
 
-case $1 in
- start)
-  mkdir -p $RUN_D
-  $BIN $OPTIONS
-  ;;
- stop)
+start() {
+       mkdir -p $RUN_D
+       $BIN $OPTIONS
+}
+
+stop() {
   $BIN -k
-  ;;
- reload)
+}
+
+reload() {
   $BIN -r
-  ;;
- *)
-  echo "usage: $0 (start|stop|reload)"
-  exit 1
-esac
+}
 
-exit $?
index eed5936..3de6e6e 100644 (file)
@@ -1,20 +1,17 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 DEFAULT=/etc/default/autopid
 RUN_D=/var/run
 PID_F=$RUN_D/autoipd.pid
 [ -f $DEFAULT ] && . $DEFAULT
 
-case $1 in
- start)
-  [ -d $RUN_D ] || mkdir -p $RUN_D
-  autoipd $OPTIONS
-  ;;
- stop)
-  [ -f $PID_F ] && kill $(cat $PID_F)
-  ;;
- *)
-  echo "usage: $0 (start|stop)"
-  exit 1
-esac
-exit $?
+start() {
+       [ -d $RUN_D ] || mkdir -p $RUN_D
+       autoipd $OPTIONS
+}
+
+stop() {
+       [ -f $PID_F ] && kill $(cat $PID_F)
+}
+
index 292280f..a3a5757 100644 (file)
@@ -5,16 +5,11 @@ RUN_D=/var/run
 PID_F=$RUN_D/mDNSResponder.pid
 [ -f $DEFAULT ] && . $DEFAULT
 
-case $1 in
- start)
-  [ -d $RUN_D ] || mkdir -p $RUN_D
-  mDNSResponder $OPTIONS
-  ;;
- stop)
-  [ -f $PID_F ] && kill $(cat $PID_F)
-  ;;
- *)
-  echo "usage: $0 (start|stop)"
-  exit 1
-esac
-exit $?
+start() {
+       [ -d $RUN_D ] || mkdir -p $RUN_D
+       mDNSResponder $OPTIONS
+}
+stop() {
+       [ -f $PID_F ] && kill $(cat $PID_F)
+}
+
index b67861e..0569e68 100644 (file)
@@ -1,21 +1,16 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 DEFAULT=/etc/default/nifd
 RUN_D=/var/run
 PID_F=$RUN_D/nifd.pid
-
 [ -f $DEFAULT ] && . $DEFAULT
 
-case $1 in
- start)
-  [ -d $RUN_D ] || mkdir -p $RUN_D
-  nifd $OPTIONS
-  ;;
- stop)
-  [ -f $PID_F ] && kill $(cat $PID_F)
-  ;;
- *)
-  echo "usage: $0 (start|stop)"
-  exit 1
-esac
-exit $?
+start() {
+       [ -d $RUN_D ] || mkdir -p $RUN_D
+       nifd $OPTIONS
+}
+stop() {
+       [ -f $PID_F ] && kill $(cat $PID_F)
+}
+
index dabafcf..9f77e19 100644 (file)
@@ -1,21 +1,10 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
-case "$1" in
-    start)
+start() {
        aiccu start     
-       ;;
+}
 
-    stop)
+stop() {
        aiccu stop
-       aiccu stop
-       ;;
-
-    restart)
-       $0 stop
-       $0 start
-       ;;
-    *)
-       echo "Usage: $0 {start|stop|restart}"
-       exit 1
-       ;;
-esac
+}
index 97860b3..6cbd96a 100755 (executable)
@@ -1,5 +1,12 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
-if [ -f /etc/bind/named.conf ]; then
-       named -c /etc/bind/named.conf
-fi
+start() {
+       if [ -f /etc/bind/named.conf ]; then
+               named -c /etc/bind/named.conf
+       fi
+}
+
+stop() {
+       killall named
+}
index 4578696..eda8a03 100755 (executable)
@@ -1,7 +1,10 @@
-#!/bin/sh
-# make /tmp/.bitchxrc as many servers ban root
-if [ ! -e /tmp/.bitchxrc ]
-then
-  echo "IRCUSER OpenWrt" >/tmp/.bitchxrc
-  echo "IRCNAME OpenWrt User!" >>/tmp/.bitchxrc
-fi
+#!/bin/sh /etc/rc.common
+
+start() {
+       # make /tmp/.bitchxrc as many servers ban root
+       if [ ! -e /tmp/.bitchxrc ]
+       then
+               echo "IRCUSER OpenWrt" >/tmp/.bitchxrc
+               echo "IRCNAME OpenWrt User!" >>/tmp/.bitchxrc
+       fi
+}
index d7f691d..95c5f59 100755 (executable)
@@ -1,3 +1,11 @@
-#!/bin/sh
-mkdir -p /var/lib/bitlbee
-bitlbee -D
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
+
+start() {
+       mkdir -p /var/lib/bitlbee
+       bitlbee -D
+}
+
+stop() {
+       killall bitlbee
+}
index 26aff70..5d92ffe 100644 (file)
@@ -1,24 +1,18 @@
-#!/bin/sh
-. /etc/functions.sh
-include /lib/network
-scan_interfaces
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 RUN_D=/var/run
 PID_F=$RUN_D/chilli.pid
 
-case $1 in
- start)
-  /sbin/insmod tun >/dev/null 2>&1
-  [ -d $RUN_D ] || mkdir -p $RUN_D
-  config_get ipaddr lan ipaddr
-  /usr/sbin/chilli --dns1="$ipaddr"
-  ;;
- stop)
-  [ -f $PID_F ] && kill $(cat $PID_F) >/dev/null 2>&1
-  ;;
- *)
-  echo "usage: $0 (start|stop)"
-  exit 1
-esac
+start() {
+       include /lib/network
+       scan_interfaces
+       /sbin/insmod tun >/dev/null 2>&1
+       [ -d $RUN_D ] || mkdir -p $RUN_D
+       config_get ipaddr lan ipaddr
+       /usr/sbin/chilli --dns1="$ipaddr"
+}
 
-exit $?
+stop() {
+       [ -f $PID_F ] && kill $(cat $PID_F) >/dev/null 2>&1
+}
index f434163..256e2ab 100755 (executable)
@@ -1,7 +1,14 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
-killall -q click
-cp /usr/bin/srcr.click /tmp
-sh /usr/bin/gen_config_roofnet.sh > /tmp/unaligned.click
-click-align /tmp/unaligned.click > /tmp/roofnet.click
-/usr/bin/click /tmp/roofnet.click > /tmp/roofnet.log 2>&1 &
+start() {
+       killall -q click
+       cp /usr/bin/srcr.click /tmp
+       sh /usr/bin/gen_config_roofnet.sh > /tmp/unaligned.click
+       click-align /tmp/unaligned.click > /tmp/roofnet.click
+       /usr/bin/click /tmp/roofnet.click > /tmp/roofnet.log 2>&1 &
+}
+
+stop() {
+       killall click
+}
index 8e5fd63..c53c169 100644 (file)
@@ -1,4 +1,12 @@
-#!/bin/sh
-mkdir -p /tmp/cups
-mkdir -p /tmp/spool/cups/tmp
-exec /usr/sbin/cupsd
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
+
+start() {
+       mkdir -p /tmp/cups
+       mkdir -p /tmp/spool/cups/tmp
+       /usr/sbin/cupsd
+}
+
+stop() {
+       killall cupsd
+}
index 6ad3858..db1cb3a 100644 (file)
@@ -1,21 +1,17 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 LOG_D=/var/log
 RUN_D=/var/run
 PID_F=$RUN_D/dhcpd-fwd.pid
 
-case $1 in
- start)
-  [ -d $LOG_D ] || mkdir -p $LOG_D
-  [ -d $RUN_D ] || mkdir -p $RUN_D
-  dhcp-fwd
-  ;;
- stop)
-  [ -f $PID_F ] && kill $(cat $PID_F)
-  ;;
- *)
-  echo "usage: $0 (start|stop)"
-  exit 1
-esac
+start() {
+       [ -d $LOG_D ] || mkdir -p $LOG_D
+       [ -d $RUN_D ] || mkdir -p $RUN_D
+       dhcp-fwd
+}
+
+stop() {
+       [ -f $PID_F ] && kill $(cat $PID_F)
+}
 
-exit $?
index 1572175..e0f4381 100644 (file)
@@ -1,22 +1,17 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 BIN=ez-ipupdate
 CONF=/etc/$BIN.conf
 RUN_D=/var/run
 PID_F=$RUN_D/$BIN.pid
-[ -f $CONF ] || exit
 
-case $1 in
- start)
-  mkdir -p $RUN_D
-  $BIN -c $CONF
-  ;;
- stop)
-  [ -f $PID_F ] && kill $(cat $PID_F)
-  ;;
- *)
-  echo "usage: $0 (start|stop)"
-  exit 1
-esac
+start() {
+       [ -f $CONF ] || exit
+       mkdir -p $RUN_D
+       $BIN -c $CONF
+}
 
-exit $?
+stop() {
+       [ -f $PID_F ] && kill $(cat $PID_F)
+}
index 3ec1689..cfb2ff8 100644 (file)
@@ -1,4 +1,5 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 DEFAULT=/etc/default/radiusd
 LOG_D=/var/log/radius
@@ -6,18 +7,12 @@ RUN_D=/var/run
 PID_F=$RUN_D/radiusd.pid
 [ -f $DEFAULT ] && . $DEFAULT
 
-case $1 in
- start)
-  [ -d $LOG_D ] || mkdir -p $LOG_D
-  [ -d $RUN_D ] || mkdir -p $RUN_D
-  radiusd $OPTIONS
-  ;;
- stop)
-  [ -f $PID_F ] && kill $(cat $PID_F)
-  ;;
- *)
-  echo "usage: $0 (start|stop)"
-  exit 1
-esac
+start() {
+       [ -d $LOG_D ] || mkdir -p $LOG_D
+       [ -d $RUN_D ] || mkdir -p $RUN_D
+       radiusd $OPTIONS
+}
 
-exit $?
+stop() {
+       [ -f $PID_F ] && kill $(cat $PID_F)
+}
index e07a094..73f183e 100644 (file)
@@ -1,16 +1,15 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 BIN=frickin
 DEFAULT=/etc/default/$BIN
 [ -f $DEFAULT ] && . $DEFAULT
 
-case $1 in
- start)
-  $BIN $OPTIONS &
-  ;;
- *)
-  echo "usage: $0 (start)"
-  exit 1
-esac
+start() {
+       $BIN $OPTIONS &
+}
+
+stop() {
+       killall $BIN
+}
 
-exit $?
index 1582b37..71ffa8d 100644 (file)
@@ -1,4 +1,5 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 BIN=gmediaserver
 DEFAULT=/etc/default/$BIN
@@ -6,16 +7,11 @@ RUN_D=/var/run
 PID_F=$RUN_D/$BIN.pid
 [ -f $DEFAULT ] && . $DEFAULT
 
-case $1 in
- start)
-  $BIN $OPTIONS
-  ;;
- stop)
-  [ -f $PID_F ] && kill $(cat $PID_F)
-  ;;
- *)
-  echo "usage: $0 (start|stop)"
-  exit 1
-esac
+start() {
+       $BIN $OPTIONS
+}
+
+stop() {
+       [ -f $PID_F ] && kill $(cat $PID_F)
+}
 
-exit $?
index 97a413f..97ec97d 100644 (file)
@@ -1,4 +1,5 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 BIN=htpdate
 DEFAULT=/etc/default/$BIN
@@ -6,17 +7,12 @@ RUN_D=/var/run
 PID_F=$RUN_D/$BIN.pid
 [ -f $DEFAULT ] && . $DEFAULT
 
-case $1 in
- start)
-  mkdir -p $RUN_D
-  $BIN -l -s -t $OPTIONS && $BIN -D $OPTIONS
-  ;;
- stop)
-  [ -f $PID_F ] && kill $(cat $PID_F)
-  ;;
- *)
-  echo "usage: $0 (start|stop)"
-  exit 1
-esac
+start() {
+       mkdir -p $RUN_D
+       $BIN -l -s -t $OPTIONS && $BIN -D $OPTIONS
+}
+
+stop() {
+       [ -f $PID_F ] && kill $(cat $PID_F)
+}
 
-exit $?
index f531757..eeecae5 100644 (file)
@@ -1,4 +1,5 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 BIN=l2tpd
 DEFAULT=/etc/default/$BIN
@@ -6,16 +7,11 @@ RUN_D=/var/run
 PID_F=$RUN_D/$BIN.pid
 [ -f $DEFAULT ] && . $DEFAULT
 
-case $1 in
- start)
-  $BIN $OPTIONS
-  ;;
- stop)
-  [ -f $PID_F ] && kill $(cat $PID_F)
-  ;;
- *)
-  echo "usage: $0 (start|stop)"
-  exit 1
-esac
+start() {
+       $BIN $OPTIONS
+}
+
+stop() {
+       [ -f $PID_F ] && kill $(cat $PID_F)
+}
 
-exit $?
index ca7a3f9..3e46924 100644 (file)
@@ -1,4 +1,5 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 BIN=lighttpd
 DEFAULT=/etc/default/$BIN
@@ -7,18 +8,13 @@ RUN_D=/var/run
 PID_F=$RUN_D/$BIN.pid
 [ -f $DEFAULT ] && . $DEFAULT
 
-case $1 in
- start)
-  mkdir -p $LOG_D
-  mkdir -p $RUN_D
-  $BIN $OPTIONS
-  ;;
- stop)
-  [ -f $PID_F ] && kill $(cat $PID_F)
-  ;;
- *)
-  echo "usage: $0 (start|stop)"
-  exit 1
-esac
+start() {
+       mkdir -p $LOG_D
+       mkdir -p $RUN_D
+       $BIN $OPTIONS
+}
+
+stop() {
+       [ -f $PID_F ] && kill $(cat $PID_F)
+}
 
-exit $?
index 1b3df1f..ef2be3f 100644 (file)
@@ -1,5 +1,13 @@
-#!/bin/sh
-[ -d /etc/maradns ] || mkdir -p /etc/maradns
-[ -d /etc/maradns/logger ] || mkdir -p /etc/maradns/logger
-duende /usr/sbin/maradns
-duende /usr/sbin/zoneserver
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
+
+start() {
+       [ -d /etc/maradns ] || mkdir -p /etc/maradns
+       [ -d /etc/maradns/logger ] || mkdir -p /etc/maradns/logger
+       duende /usr/sbin/maradns
+       duende /usr/sbin/zoneserver
+}
+
+stop() {
+       killall duende maradns zoneserver
+}
index beef310..892c23c 100755 (executable)
@@ -1,4 +1,5 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 DEFAULT="/etc/default/miau"
 OPTIONS="-d /etc/miau/"
@@ -6,27 +7,24 @@ LOG_DIR="/var/log/miau"
 ERR_LOG="$LOG_DIR/error.log"
 OUT_LOG="$LOG_DIR/miau.log"
 
-[ -f $DEFAULT ] && . $DEFAULT
-[ "$ENABLE_MIAU" = "yes" ] || exit 0
+start() {
+       [ -f $DEFAULT ] && . $DEFAULT
+       [ "$ENABLE_MIAU" = "yes" ] || exit 0
+       [ -f /var/run/miau.pid ] && {
+               echo "[ERROR] miau is running"
+               exit 0
+       }
+       [ -d $LOG_DIR ] || mkdir -p $LOG_DIR 
+       /usr/bin/miau -f $OPTIONS > $OUT_LOG 2> $ERR_LOG &
+       PID=$!
+       sleep 1 
+       if [ -d /proc/$PID ]; then
+               echo $PID > /var/run/miau.pid 
+       else 
+               echo "[ERROR] Unable to run miau as a daemon"
+       fi
+}
 
-case $1 in
- start)
-  [ -f /var/run/miau.pid ] && echo "[ERROR] miau is running"
-  [ -f /var/run/miau.pid ] && exit 0
-  [ -d /var/run ] || mkdir -p /var/run
-  [ -d $LOG_DIR ] || mkdir -p $LOG_DIR 
-  /usr/bin/miau -f $OPTIONS > $OUT_LOG 2> $ERR_LOG &
-  PID=$!
-  sleep 1 
-  [ -d /proc/$PID ] && echo $PID > /var/run/miau.pid 
-  [ -d /proc/$PID ] || echo "[ERROR] Unable to run miau as a daemon"
-  ;;
- stop)
-  [ -f /var/run/miau.pid ] && kill $(cat /var/run/miau.pid) >/dev/null 2>&1 && rm /var/run/miau.pid
-  ;;
- *)
- echo "usage: $0 (start|stop)"
- exit 1
-esac
-
-exit $? 
+stop() {
+       [ -f /var/run/miau.pid ] && kill $(cat /var/run/miau.pid) >/dev/null 2>&1 && rm /var/run/miau.pid
+}
index 77bd6fd..430f21e 100644 (file)
@@ -1,4 +1,5 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 BIN=mini_httpd
 DEFAULT=/etc/default/$BIN
@@ -6,21 +7,11 @@ RUN_D=/var/run
 PID_F=$RUN_D/$BIN.pid
 [ -f $DEFAULT ] && . $DEFAULT
 
-case $1 in
- start)
-  [ -d $RUN_D ] || mkdir -p $RUN_D
-  $BIN $OPTIONS 2>/dev/null
-  ;;
- stop)
-  [ -f $PID_F ] && kill $(cat $PID_F)
-  ;;
- restart)
-  $0 stop
-  $0 start
-  ;;
- *)
-  echo "usage: $0 (start|stop|restart)"
-  exit 1
-esac
+start() {
+       [ -d $RUN_D ] || mkdir -p $RUN_D
+       $BIN $OPTIONS 2>/dev/null
+}
 
-exit $?
+stop() {
+       [ -f $PID_F ] && kill $(cat $PID_F)
+}
index b41a866..b050b55 100644 (file)
@@ -1,4 +1,5 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 BIN=miredo-server
 DEFAULT=/etc/default/$BIN
@@ -6,23 +7,13 @@ RUN_D=/var/run
 PID_F=$RUN_D/$BIN.pid
 [ -f $DEFAULT ] && . $DEFAULT
 
-case $1 in
- start)
-  [ -d $RUN_D ] || mkdir -p $RUN_D
-  insmod ipv6
-  insmod tun
-  $BIN $OPTIONS
-  ;;
- stop)
-  [ -f $PID_F ] && kill $(cat $PID_F)
-  ;;
- restart)
-  $0 stop
-  $0 start
-  ;;
- *)
-  echo "usage: $0 (start|stop|restart)"
-  exit 1
-esac
+start() {
+       [ -d $RUN_D ] || mkdir -p $RUN_D
+       insmod ipv6
+       insmod tun
+       $BIN $OPTIONS
+}
 
-exit $?
+stop() {
+       [ -f $PID_F ] && kill $(cat $PID_F)
+}
index e305472..7fe13d9 100644 (file)
@@ -1,4 +1,5 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 BIN=miredo
 DEFAULT=/etc/default/$BIN
@@ -6,23 +7,13 @@ RUN_D=/var/run
 PID_F=$RUN_D/$BIN.pid
 [ -f $DEFAULT ] && . $DEFAULT
 
-case $1 in
- start)
-  [ -d $RUN_D ] || mkdir -p $RUN_D
-  insmod ipv6
-  insmod tun
-  $BIN $OPTIONS
-  ;;
- stop)
-  [ -f $PID_F ] && kill $(cat $PID_F)
-  ;;
- restart)
-  $0 stop
-  $0 start
-  ;;
- *)
-  echo "usage: $0 (start|stop|restart)"
-  exit 1
-esac
+start() {
+       [ -d $RUN_D ] || mkdir -p $RUN_D
+       insmod ipv6
+       insmod tun
+       $BIN $OPTIONS
+}
 
-exit $?
+stop() {
+       [ -f $PID_F ] && kill $(cat $PID_F)
+}
index 2900b57..ee2b8ad 100644 (file)
@@ -1,3 +1,10 @@
-#!/bin/sh
-test -n "$FAILSAFE" && exit
-/usr/bin/netserver
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
+
+start() {
+       /usr/bin/netserver
+}
+
+stop() {
+       killall netserver
+}
index 354a991..21adf5b 100644 (file)
@@ -1,47 +1,28 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 NFS_D=/var/lib/nfs
 
-_start() {
- mkdir -p $NFS_D
- touch $NFS_D/rmtab
- /usr/sbin/rpc.statd
- /usr/sbin/rpc.lockd
- /usr/sbin/exportfs -r
- /usr/sbin/rpc.nfsd
- /usr/sbin/rpc.mountd
+start() {
      mkdir -p $NFS_D
      touch $NFS_D/rmtab
+       
      /usr/sbin/rpc.statd
      /usr/sbin/rpc.lockd
      /usr/sbin/exportfs -r
      /usr/sbin/rpc.nfsd
      /usr/sbin/rpc.mountd
 }
 
-_stop() {
- killall rpc.mountd 2> /dev/null
- killall -9 nfsd 2> /dev/null
- /usr/sbin/exportfs -au
- killall lockd 2> /dev/null
- killall rpc.statd 2> /dev/null
+stop() {
      killall rpc.mountd 2> /dev/null
      killall -9 nfsd 2> /dev/null
      /usr/sbin/exportfs -au
      killall lockd 2> /dev/null
      killall rpc.statd 2> /dev/null
 }
 
-_reload() {
- /usr/sbin/exportfs -r
+reload() {
      /usr/sbin/exportfs -r
 }
 
-case $1 in
- start)
-  _start
-  ;;
- stop)
-  _stop
-  ;;
- reload)
-  _reload
-  ;;
- restart)
-  _stop
-  sleep 1
-  _start
-  ;;
- *)
-  echo "usage: $0 (start|stop|reload|restart)"
-  exit 1
-esac
-exit $?
index 1b1e1bd..7956e5e 100644 (file)
@@ -1,4 +1,14 @@
-#!/bin/sh
-/usr/sbin/portmap
-/usr/sbin/rpc.mountd -r
-/usr/sbin/rpc.nfsd
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
+
+start() {
+       /usr/sbin/portmap
+       /usr/sbin/rpc.mountd -r
+       /usr/sbin/rpc.nfsd
+}
+
+stop() {
+       killall rpc.nfsd
+       killall rpc.mountd
+       killall portmap
+}
index 3a21184..f508c31 100644 (file)
@@ -1,4 +1,6 @@
 #!/bin/sh
+# Copyright (C) 2006 OpenWrt.org
+
 ntp_server=$(nvram get ntp_server)
 case "${ACTION:-ifup}" in
        ifup)
index 6f3e05d..a2c04b7 100755 (executable)
@@ -1,3 +1,10 @@
-#!/bin/sh
-/usr/sbin/oidentd -m -f 113
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
+start() {
+       /usr/sbin/oidentd -m -f 113
+}
+
+stop() {
+       killall oidentd
+}
index 1f1fdb9..f59ff7e 100644 (file)
@@ -1,15 +1,13 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 DEFAULT=/etc/default/olsrd
 [ -f $DEFAULT ] && . $DEFAULT
 
-case $1 in
- start)
-  olsrd $OPTIONS
-  ;;
- *)
-  echo "usage: $0 (start)"
-  exit 1
-esac
+start() {
+       olsrd $OPTIONS
+}
 
-exit $?
+stop() {
+       killall olsrd
+}
index 8bac705..e680f62 100644 (file)
@@ -1,3 +1,11 @@
-#!/bin/sh
-mkdir -p `awk -F: '/^ntp:/{print $6}' /etc/passwd`
-/usr/sbin/ntpd -s
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
+
+start() {
+       mkdir -p `awk -F: '/^ntp:/{print $6}' /etc/passwd`
+       /usr/sbin/ntpd -s
+}
+
+stop() {
+       killall ntpd
+}
index 2ea1683..c2e535d 100755 (executable)
@@ -1,15 +1,22 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
-for type in rsa dsa; do {
-  # check for keys
-  key=/etc/ssh/ssh_host_${type}_key
-  [ ! -f $key ] && {
-    # generate missing keys
-    [ -x /usr/bin/ssh-keygen ] && {
-      /usr/bin/ssh-keygen -N '' -t $type -f $key 2>&- >&- && exec $0 $*
-    } &
-    exit 0
-  }
-}; done
-mkdir -p /var/empty
-/usr/sbin/sshd
+start() {
+       for type in rsa dsa; do {
+               # check for keys
+               key=/etc/ssh/ssh_host_${type}_key
+               [ ! -f $key ] && {
+                       # generate missing keys
+                       [ -x /usr/bin/ssh-keygen ] && {
+                               /usr/bin/ssh-keygen -N '' -t $type -f $key 2>&- >&- && exec $0 $*
+                       } &
+                       exit 0
+               }
+       }; done
+       mkdir -p /var/empty
+       /usr/sbin/sshd
+}
+
+stop() {
+       killall sshd
+}
index 1a6c4f4..05c675a 100644 (file)
@@ -1,47 +1,33 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 DEFAULT=/etc/default/p910nd
 RUN_D=/var/run
 
-_start() {
- mkdir -p $RUN_D
- [ -f $DEFAULT ] && (
-  while read port options; do
-   case "$port" in
-    ""|\#*)
-     continue;
-   esac
-   p910nd $options $port
-   if [ $? -ne 0 ]; then
-    exit 1
-   fi
-  done
- ) < $DEFAULT
- exit 0
+start() {
+       mkdir -p $RUN_D
+       [ -f $DEFAULT ] && (
+               while read port options; do
+                       case "$port" in
+                               ""|\#*) continue;;
+                       esac
+                       p910nd $options $port
+                       if [ $? -ne 0 ]; then
+                               exit 1
+                       fi
+               done
+       ) < $DEFAULT
 }
 
-_stop() {
- [ -f $DEFAULT ] && (
-  while read port options; do
-   case "$port" in
-    ""|\#*)
-     continue;
-   esac
-   PID_F=$RUN_D/p910${port}d.pid
-   [ -f $PID_F ] && kill $(cat $PID_F)
-  done
- ) < $DEFAULT
+stop() {
+       [ -f $DEFAULT ] && (
+               while read port options; do
+                       case "$port" in
+                               ""|\#*) continue;l
+                       esac
+                       PID_F=$RUN_D/p910${port}d.pid
+                       [ -f $PID_F ] && kill $(cat $PID_F)
+               done
+       ) < $DEFAULT
 }
 
-case $1 in
- start)
-  _start
-  ;;
- stop)
-  _stop
-  ;;
- *)
-  echo "usage: $0 (start|stop)"
-  exit 1
-esac
-exit $?
index 2422657..aae46fc 100755 (executable)
@@ -1,16 +1,14 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 BIN=parprouted
 DEFAULT=/etc/default/$BIN
 [ -f $DEFAULT ] && . $DEFAULT
 
-case $1 in
- start)
-  $BIN $OPTIONS
-  ;;
- *)
-  echo "usage: $0 (start)"
-  exit 1
-esac
+start() {
+       $BIN $OPTIONS
+}
 
-exit $?
+stop() {
+       killall $BIN
+}
index 5807314..cd786b8 100644 (file)
@@ -1,4 +1,5 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 BIN=pgtext
 DEFAULT=/etc/default/$BIN
@@ -6,16 +7,10 @@ DEFAULT=/etc/default/$BIN
 RUN_D=/var/run
 PID_F=$RUN_D/$BIN_${IF}_${ID}.pid
 
-case $1 in
- start)
-  $BIN $OPTIONS
-  ;;
- stop)
-  [ -f $PID_F ] && kill $(cat $PID_F) >/dev/null 2>&1
-  ;;
- *)
-  echo "usage: $0 (start|stop)"
-  exit 1
-esac
+start() {
+       $BIN $OPTIONS
+}
 
-exit $?
+stop() {
+       [ -f $PID_F ] && kill $(cat $PID_F) >/dev/null 2>&1
+}
index 31a3399..fd4be73 100644 (file)
@@ -1,16 +1,15 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 BIN=portmap
 DEFAULT=/etc/default/$BIN
 [ -f $DEFAULT ] && . $DEFAULT
 
-case $1 in
- start)
-  $BIN $OPTIONS
-  ;;
- *)
-  echo "usage: $0 start"
-  exit 1
-esac
+start() {
+       $BIN $OPTIONS
+}
+
+stop() {
+       killall $BIN
+}
 
-exit $?
index d4944c7..40e4d7e 100644 (file)
@@ -1,4 +1,5 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 BIN=pptpd
 DEFAULT=/etc/default/$BIN
@@ -6,20 +7,14 @@ RUN_D=/var/run
 PID_F=$RUN_D/$BIN.pid
 [ -f $DEFAULT ] && . $DEFAULT
 
-case $1 in
- start)
-  mkdir -p $RUN_D
-  for m in arc4 sha1 slhc crc-ccitt ppp_generic ppp_async ppp_mppe_mppc; do
-   insmod $m >/dev/null 2>&1
-  done
-  $BIN $OPTIONS
-  ;;
- stop)
-  [ -f $PID_F ] && kill $(cat $PID_F)
-  ;;
- *)
-  echo "usage: $0 (start|stop)"
-  exit 1
-esac
+start() {
+       mkdir -p $RUN_D
+       for m in arc4 sha1 slhc crc-ccitt ppp_generic ppp_async ppp_mppe_mppc; do
+               insmod $m >/dev/null 2>&1
+       done
+       $BIN $OPTIONS
+}
 
-exit $?
+stop() {
+       [ -f $PID_F ] && kill $(cat $PID_F)
+}
index 2d9e500..99e2ab2 100644 (file)
@@ -1,24 +1,14 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
-case "$1" in
-    start)
+start() {
        echo 1 > /proc/sys/net/ipv6/conf/all/forwarding
        mkdir -p /var/log
        mkdir -p /var/run
        /usr/sbin/radvd
-       ;;
+}
 
-    stop)
+stop() {
        killall radvd
        echo 0 > /proc/sys/net/ipv6/conf/all/forwarding
-       ;;
-
-    restart)
-       $0 stop
-       $0 start
-       ;;
-    *)
-       echo "Usage: $0 {start|stop|restart}"
-       exit 1
-       ;;
-esac
+}
index 04ca0b4..353a96a 100644 (file)
@@ -1,7 +1,13 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 RARPD=/usr/sbin/rarpd
 DEFAULT=/etc/default/rarpd
 [ -f $DEFAULT ] && . $DEFAULT
 
-$RARPD $OPTIONS
+start() {
+       $RARPD $OPTIONS
+}
+stop() {
+       killall rarpd
+}
index 93ceea3..8fe8c50 100644 (file)
@@ -1,62 +1,47 @@
-#! /bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 PATH=/sbin:/bin:/usr/sbin:/usr/bin
 NAME=reaim
 DESC="Transparent proxy for IM behind NAT"
-. /etc/functions.sh
-WAN=$(nvram get wan_ifname)
 IPT=/usr/sbin/iptables
-case "$1" in
-  start)
-        if [ -e /var/run/$NAME.pid ]; then
-                echo "$DESC: $NAME already started."
-                exit 0
-        fi
-        echo -n "Starting $DESC: $NAME"
-        $IPT -A input_rule -i $WAN -p tcp --dport 1863:1864 -j ACCEPT
-        $IPT -A input_rule -i $WAN -p tcp --dport 4443 -j ACCEPT
-        $IPT -A input_rule -i $WAN -p tcp --dport 5566 -j ACCEPT
-        $IPT -A input_rule -i $WAN -p tcp --dport 40000:40099 -j ACCEPT
 
-        test -e /var/run/$NAME.pid || touch /var/run/$NAME.pid
-        /usr/sbin/$NAME
-        echo "."
-        ;;
-
-  stop)
-        if [ ! -e /var/run/$NAME.pid ]; then
-                echo "$DESC: $NAME is not running."
-                exit 0
-        fi
-        echo -n "Stopping $DESC: $NAME"
-        killall $NAME
-        rm -f /var/run/$NAME.pid
-
-        echo "."
-        ;;
-
-  restart|force-reload)
-        if [ ! -e /var/run/$NAME.pid ]; then
-                $0 start
-                exit 0
-        fi
-        echo -n "Restarting $DESC: $NAME"
-        $IPT -A input_rule -i $WAN -p tcp --dport 1863:1864 -j ACCEPT
-        $IPT -A input_rule -i $WAN -p tcp --dport 4443 -j ACCEPT
-        $IPT -A input_rule -i $WAN -p tcp --dport 5566 -j ACCEPT
-        $IPT -A input_rule -i $WAN -p tcp --dport 40000:40099 -j ACCEPT
-        killall $NAME
-        sleep 1
-        /usr/sbin/$NAME
-        echo "."
-        ;;
-
-  *)
-        N=/etc/init.d/$NAME
-        echo "Usage: $N {start|stop|restart|force-reload}" >&2
-        exit 1
-        ;;
-
-esac
-
-exit 0
+include /lib/network
+scan_interfaces
+config_get WAN wan ifname
+
+set_rules() {
+       [ -z "$WAN" ] && exit
+       $IPT $1 input_rule -i $WAN -p tcp --dport 1863:1864 -j ACCEPT
+       $IPT $1 input_rule -i $WAN -p tcp --dport 4443 -j ACCEPT
+       $IPT $1 input_rule -i $WAN -p tcp --dport 5566 -j ACCEPT
+       $IPT $1 input_rule -i $WAN -p tcp --dport 40000:40099 -j ACCEPT
+}
+
+start() {
+       if [ -e /var/run/$NAME.pid ]; then
+               echo "$DESC: $NAME already started."
+               exit 0
+       fi
+       echo -n "Starting $DESC: $NAME"
+       
+       set_rules -A
+       test -e /var/run/$NAME.pid || touch /var/run/$NAME.pid
+       /usr/sbin/$NAME
+       echo "."
+}
+
+stop() {
+       set_rules -D 2>/dev/null >/dev/null
+       
+       if [ ! -e /var/run/$NAME.pid ]; then
+               echo "$DESC: $NAME is not running."
+               exit 0
+       fi
+       echo -n "Stopping $DESC: $NAME"
+
+       killall $NAME
+       rm -f /var/run/$NAME.pid
+
+       echo "."
+}
index 4e03836..8051cfd 100755 (executable)
@@ -1,17 +1,16 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 DEFAULT=/etc/default/rp-l2tpd
 RUN_D=/var/run
 [ -f $DEFAULT ] && . $DEFAULT
 
-case $1 in
- start)
-  [ -d $RUN_D ] || mkdir -p $RUN_D
-  l2tpd $OPTIONS
-  ;;
- *)
-  echo "usage: $0 (start)"
-  exit 1
-esac
+start() {
+       [ -d $RUN_D ] || mkdir -p $RUN_D
+       l2tpd $OPTIONS
+}
+
+stop() {
+       killall l2tpd
+}
 
-exit $?
index fb3f4ca..ba6c7cd 100644 (file)
@@ -1,12 +1,11 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
-case "$1" in
- start|stop)
-  adsl-$1
-  ;;
- *)
-  echo "usage: $0 {start|stop}"
-  exit 1
-esac
+start() {
+       adsl-start
+}
+
+stop() {
+       adsl-stop
+}
 
-exit $?
index d8212f2..53878c3 100644 (file)
@@ -1,15 +1,14 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 DEFAULT=/etc/default/pppoe-relay
 [ -f $DEFAULT ] && . $DEFAULT
 
-case $1 in
- start)
-  pppoe-relay $OPTIONS
-  ;;
- *)
-  echo "usage: $0 (start)"
-  exit 1
-esac
+start() {
+       pppoe-relay $OPTIONS
+}
+
+stop() {
+       killall pppoe-relay
+}
 
-exit $?
index 2768895..b25f619 100644 (file)
@@ -1,15 +1,13 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 DEFAULT=/etc/default/pppoe-server
 [ -f $DEFAULT ] && . $DEFAULT
 
-case $1 in
- start)
-  pppoe-server $OPTIONS
-  ;;
- *)
-  echo "usage: $0 (start)"
-  exit 1
-esac
+start() {
+       pppoe-server $OPTIONS
+}
 
-exit $?
+stop() {
+       killall pppoe-server
+}
index c3c600a..a30dfcf 100644 (file)
@@ -1,4 +1,5 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 DEFAULT=/etc/default/samba
 RUN_D=/var/run/samba
@@ -6,19 +7,13 @@ NMBD_PID_F=$RUN_D/nmbd.pid
 SMBD_PID_F=$RUN_D/smbd.pid
 [ -f $DEFAULT ] && . $DEFAULT
 
-case $1 in
- start)
-  mkdir -p $RUN_D
-  nmbd -D $NMBD_OPTIONS
-  smbd -D $SMBD_OPTIONS
-  ;;
- stop)
-  [ -f $SMBD_PID_F ] && kill $(cat $SMBD_PID_F)
-  [ -f $NMBD_PID_F ] && kill $(cat $NMBD_PID_F)
-  ;;
- *)
-  echo "usage: $0 (start|stop)"
-  exit 1
-esac
+start() {
+       mkdir -p $RUN_D
+       nmbd -D $NMBD_OPTIONS
+       smbd -D $SMBD_OPTIONS
+}
+stop() {
+       [ -f $SMBD_PID_F ] && kill $(cat $SMBD_PID_F)
+       [ -f $NMBD_PID_F ] && kill $(cat $NMBD_PID_F)
+}
 
-exit $?
index 762d55e..541b102 100755 (executable)
@@ -1,3 +1,11 @@
-#!/bin/sh
-mkdir -p `grep "^scanlogd:" /etc/passwd | cut -d: -f6`
-/usr/sbin/scanlogd
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
+
+start() {
+       mkdir -p `grep "^scanlogd:" /etc/passwd | cut -d: -f6`
+       /usr/sbin/scanlogd
+}
+
+stop() {
+       killall scanlogd
+}
index f8739d4..32b2ca9 100644 (file)
@@ -1,4 +1,5 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 BIN=siproxd
 DEFAULT=/etc/default/$BIN
@@ -6,16 +7,12 @@ RUN_D=/var/run
 PID_F=$RUN_D/$BIN.pid
 [ -f $DEFAULT ] && . $DEFAULT
 
-case $1 in
- start)
-  mkdir -p $RUN_D
-  $BIN $OPTIONS
-  ;;
- stop)
-  [ -f $PID_F ] && kill $(cat $PID_F)
-  ;;
- *)
-  echo "usage: $0 (start|stop)"
-  exit 1
-esac
-exit $?
+start() {
+       mkdir -p $RUN_D
+       $BIN $OPTIONS
+}
+
+stop() {
+       [ -f $PID_F ] && kill $(cat $PID_F)
+}
+
index 9e5a5f5..e3de144 100755 (executable)
@@ -1,5 +1,12 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
-if [ -f /etc/srelay.conf ];then
-       srelay -c /etc/srelay.conf -r -s 
-fi
+start() {
+       if [ -f /etc/srelay.conf ];then
+               srelay -c /etc/srelay.conf -r -s 
+       fi
+}
+
+stop() {
+       killall srelay
+}
index 8eb2db4..5de8663 100644 (file)
@@ -1,4 +1,5 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 BIN=tor
 DEFAULT=/etc/default/$BIN
@@ -7,18 +8,13 @@ RUN_D=/var/run
 PID_F=$RUN_D/$BIN.pid
 [ -f $DEFAULT ] && . $DEFAULT
 
-case $1 in
- start)
-  mkdir -p $LOG_D
-  mkdir -p $RUN_D
-  $BIN $OPTIONS
-  ;;
- stop)
-  [ -f $PID_F ] && kill $(cat $PID_F)
-  ;;
- *)
-  echo "usage: $0 (start|stop)"
-  exit 1
-esac
+start() {
+       mkdir -p $LOG_D
+       mkdir -p $RUN_D
+       $BIN $OPTIONS
+}
+
+stop() {
+       [ -f $PID_F ] && kill $(cat $PID_F)
+}
 
-exit $?
index d3863c5..61a0879 100644 (file)
@@ -1,17 +1,15 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 BIN=ulogd
 DEFAULT=/etc/default/$BIN
 LOG_D=/var/log
 [ -f $DEFAULT ] && . $DEFAULT
 
-case $1 in
- start)
-  $BIN $OPTIONS
-  ;;
- *)
-  echo "usage: $0 (start)"
-  exit 1
-esac
+start() {
+       $BIN $OPTIONS
+}
 
-exit $?
+stop() {
+       killall $BIN
+}
index 75df451..faaccb5 100644 (file)
@@ -1,13 +1,20 @@
-#!/bin/sh
-. /etc/nvram.sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
-ddnsupdate=$(nvram get ddns_update)
-[ "$ddnsupdate" = 1 ]&& {
-       service=$(nvram get ddns_service)
-       uname=$(nvram get ddns_user)
-       passwd=$(nvram get ddns_password)
-       host=$(nvram get ddns_host)
-
-       /usr/bin/updatedd -Y $service -- $uname:$passwd $host
+start() {
+       . /etc/nvram.sh
+       
+       ddnsupdate=$(nvram get ddns_update)
+       [ "$ddnsupdate" = 1 ]&& {
+               service=$(nvram get ddns_service)
+               uname=$(nvram get ddns_user)
+               passwd=$(nvram get ddns_password)
+               host=$(nvram get ddns_host)
+       
+               /usr/bin/updatedd -Y $service -- $uname:$passwd $host
+       }
 }
 
+stop() {
+       killall updatedd
+}
index 5afc734..64d686f 100644 (file)
@@ -1,4 +1,5 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 BIN=vrrpd
 DEFAULT=/etc/default/$BIN
@@ -6,16 +7,11 @@ DEFAULT=/etc/default/$BIN
 RUN_D=/var/run
 PID_F=$RUN_D/$BIN_${IF}_${ID}.pid
 
-case $1 in
- start)
-  $BIN $OPTIONS
-  ;;
- stop)
-  [ -f $PID_F ] && kill $(cat $PID_F) >/dev/null 2>&1
-  ;;
- *)
-  echo "usage: $0 (start|stop)"
-  exit 1
-esac
+start() {
+       $BIN $OPTIONS
+}
+
+stop() {
+       [ -f $PID_F ] && kill $(cat $PID_F) >/dev/null 2>&1
+}
 
-exit $?
index 4d4f4f2..ce41110 100644 (file)
@@ -1,15 +1,12 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
 
 RUN_D=/var/run/vsftpd
 
-case $1 in
- start)
-  [ -d $RUN_D ] || mkdir -p $RUN_D
-  vsftpd
-  ;;
- *)
-  echo "usage: $0 (start)"
-  exit 1
-esac
+start() {
+       [ -d $RUN_D ] || mkdir -p $RUN_D
+       vsftpd
+}
 
-exit $?
+stop() {
+       killall vsftpd
+}
index 03e2ea2..d5aaf7c 100644 (file)
@@ -1,3 +1,11 @@
-#!/bin/sh
-/usr/bin/wifidog-init start
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
+
+start() {
+       /usr/bin/wifidog-init start
+}
+
+stop() {
+       /usr/bin/wifidog-init stop
+}
 
index 2df7a81..4041192 100644 (file)
@@ -1,21 +1,17 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 DEFAULT=/etc/default/xinetd
 RUN_D=/var/run
 PID_F=$RUN_D/xinetd.pid
 [ -f $DEFAULT ] && . $DEFAULT
 
-case $1 in
- start)
-  [ -d $RUN_D ] || mkdir -p $RUN_D
-  xinetd $OPTIONS
-  ;;
- stop)
-  [ -f $PID_F ] && kill $(cat $PID_F)
-  ;;
- *)
-  echo "usage: $0 (start|stop)"
-  exit 1
-esac
+start() {
+       [ -d $RUN_D ] || mkdir -p $RUN_D
+       xinetd $OPTIONS
+}
+
+stop() {
+       [ -f $PID_F ] && kill $(cat $PID_F)
+}
 
-exit $?
index aa767fb..f35e4f5 100755 (executable)
@@ -1,17 +1,24 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 BINARY="/usr/sbin/collectd"
 PIDFILE="/var/run/collectd.pid"
 DATADIR="/var/lib/collectd"
 
-[ -x "$BINARY" ] || exit 1;
+start() {
+       [ -x "$BINARY" ] || exit 1;
 
-if [ -e "$PIDFILE" ]
-then
-       kill $(cat "$PIDFILE") 2>/dev/null
-       sleep 1
-fi
+       if [ -e "$PIDFILE" ]
+       then
+               kill $(cat "$PIDFILE") 2>/dev/null
+               sleep 1
+       fi
+
+       [ -d "$DATADIR" ] || mkdir -p "$DATADIR";
 
-[ -d "$DATADIR" ] || mkdir -p "$DATADIR";
+       $BINARY
+}
 
-$BINARY
+stop() {
+       kill $(cat "$PIDFILE") 2>/dev/null
+}